# Generated from mongoid-history-0.8.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name mongoid-history

Name: rubygem-%{gem_name}
Version: 0.8.5
Release: 1%{?dist}
Summary: Track and audit, undo and redo changes on Mongoid documents
License: MIT
URL: http://github.com/mongoid/mongoid-history
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
This library tracks historical changes for any document, including embedded
ones. It achieves this by storing all history tracks in a single collection
that you define. Embedded documents are referenced by storing an association
path, which is an array of document_name and document_id fields starting from
the top most parent document and down to the embedded document that should
track history. Mongoid-history implements multi-user undo, which allows users
to undo any history change in any order. Undoing a document also creates a new
history track. This is great for auditing and preventing vandalism, but it is
probably not suitable for use cases such as a wiki.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.coveralls.yml
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.rubocop_todo.yml
%{gem_instdir}/Dangerfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/RELEASING.md
%{gem_instdir}/UPGRADING.md
%{gem_libdir}
%{gem_instdir}/perf
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/mongoid-history.gemspec
%{gem_instdir}/spec

%changelog
* Sat Sep 18 2021 mockbuilder - 0.8.5-1
- Initial package
